From 7a3524600fa589565b0cc4b5f00196d60213dff6 Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Tue, 10 Feb 2026 13:48:25 +0900
Subject: [PATCH 4/6] Add omitted "that" for clarity in some messages
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This patch inserts $B!H(Bthat$B!I(B in several message where it had been
omitted, improving readability and reducing ambiguity.
---
 src/backend/partitioning/partbounds.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/src/backend/partitioning/partbounds.c b/src/backend/partitioning/partbounds.c
index a4487521a67..be3a3dc80f0 100644
--- a/src/backend/partitioning/partbounds.c
+++ b/src/backend/partitioning/partbounds.c
@@ -5406,7 +5406,7 @@ check_partition_bounds_for_split_range(Relation parent,
 							errmsg("lower bound of partition \"%s\" is not equal to lower bound of split partition \"%s\"",
 								   relname,
 								   get_rel_name(splitPartOid)),
-							errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+							errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 									"ALTER TABLE ... SPLIT PARTITION"),
 							parser_errposition(pstate, exprLocation((Node *) datum)));
 			}
@@ -5416,7 +5416,7 @@ check_partition_bounds_for_split_range(Relation parent,
 						errmsg("lower bound of partition \"%s\" is less than lower bound of split partition \"%s\"",
 							   relname,
 							   get_rel_name(splitPartOid)),
-						errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+						errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 								"ALTER TABLE ... SPLIT PARTITION"),
 						parser_errposition(pstate, exprLocation((Node *) datum)));
 		}
@@ -5448,7 +5448,7 @@ check_partition_bounds_for_split_range(Relation parent,
 							errmsg("upper bound of partition \"%s\" is not equal to upper bound of split partition \"%s\"",
 								   relname,
 								   get_rel_name(splitPartOid)),
-							errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+							errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 									"ALTER TABLE ... SPLIT PARTITION"),
 							parser_errposition(pstate, exprLocation((Node *) datum)));
 			}
@@ -5458,7 +5458,7 @@ check_partition_bounds_for_split_range(Relation parent,
 						errmsg("upper bound of partition \"%s\" is greater than upper bound of split partition \"%s\"",
 							   relname,
 							   get_rel_name(splitPartOid)),
-						errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+						errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 								"ALTER TABLE ... SPLIT PARTITION"),
 						parser_errposition(pstate, exprLocation((Node *) datum)));
 		}
@@ -5654,7 +5654,7 @@ check_parent_values_in_new_partitions(Relation parent,
 				errmsg("new partitions combined partition bounds do not contain value (%s) but split partition \"%s\" does",
 					   "NULL",
 					   get_rel_name(partOid)),
-				errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+				errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 						"ALTER TABLE ... SPLIT PARTITION"));
 
 	/*
@@ -5697,7 +5697,7 @@ check_parent_values_in_new_partitions(Relation parent,
 				errmsg("new partitions combined partition bounds do not contain value (%s) but split partition \"%s\" does",
 					   deparse_expression((Node *) notFoundVal, NIL, false, false),
 					   get_rel_name(partOid)),
-				errhint("%s requires combined bounds of new partitions must exactly match the bound of the split partition",
+				errhint("%s requires that combined bounds of new partitions must exactly match the bound of the split partition",
 						"ALTER TABLE ... SPLIT PARTITION"));
 	}
 }
-- 
2.47.3

